%include %{_rpmconfigdir}/macros.python3

Name: python3-pycparser
Version: 2.19
Release: 2
License: BSD-3-CLAUSE
Summary: C99 Parser for Python
Url: https://github.com/eliben/pycparser

Source: https://files.pythonhosted.org/packages/68/9e/49196946aee219aead1290e00d1e7fdeab8567783e83e1b9ab5585e6206a/pycparser-2.19.tar.gz

BuildRequires: python3-pip

%description
pycparser is a complete parser of the C language, written in pure Python using
the PLY parsing library. It parses C code into an AST and can serve as a
front-end for C compilers or analysis tools.

%prep
%setup -q -n pycparser-%{version}

%build

python%{py_ver} setup.py bdist_wheel

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/pycparser*

%changelog
* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Initial package
